#include <iostream>

using namespace std;

int main()
{
	int broj_takmicara;
	int broj_glasina_prihvacene;
	int broj_glasina_odbijene;

	cin >> broj_takmicara;
	cin >> broj_glasina_prihvacene;		//Velicina niza
	cin >> broj_glasina_odbijene;		//Velicina niza

	int pozitivne_godine[broj_glasina_prihvacene];
	int negativne_godine[broj_glasina_odbijene];
	int maxi1[broj_glasina_prihvacene], mini1[broj_glasina_prihvacene], maxi2[broj_glasina_odbijene], mini2[broj_glasina_odbijene];

	for(int i=0; i<broj_takmicara; i++)
	{
		for(int n=0; n<broj_glasina_prihvacene; n++)
		{
			cin >> pozitivne_godine[n];
			if(n==0)
			{
				maxi1[n] = 0;
				mini1[n] = 0;
			}
			else if(pozitivne_godine[n]>maxi1[n])
			{
				maxi1[n] = pozitivne_godine[n];
			}
			else if(pozitivne_godine[n]<mini1[n])
			{
				mini1[n] = pozitivne_godine[n];
			}
		}
		for(int m=0; m<broj_glasina_odbijene; m++)
		{
			cin >> negativne_godine[m];
			if(m==0)
			{
				maxi2[m] = 0;
				mini2[m] = 0;
			}
			else if(pozitivne_godine[m]>maxi2[m])
			{
				maxi2[m] = pozitivne_godine[m];
			}
			else if(pozitivne_godine[m]<mini2[m])
			{
				mini2[m] = pozitivne_godine[m];
			}
		}
    }

	for(int m=0; m<broj_takmicara; m++)
	{
		for(int m=0; m<broj_glasina_prihvacene; m++)
        {
        	for(int m=0; m<broj_glasina_odbijene; m++)
       		{
       			if(m==0)
       			{
       				if(pozitivne_godine[0] == negativne_godine [0])
       				{
       					cout << 0 << endl;
       				}
       				else
       				{
       					cout << 1 << endl;
       				}
       			}
       			else
       			{
       				int x1, y1, x2, y2;
       				int n1, n2, d1, d2;

       				x1=pozitivne_godine[1]-pozitivne_godine[0];
       				y1=pozitivne_godine[broj_glasina_prihvacene-1];
       				n1=broj_glasina_prihvacene[pozitivne_godine];

       				x2=negativne_godine[1]-negativne_godine[0];
       				y2=negativne_godine[broj_glasina_odbijene-1];
       				n1=broj_glasina_odbijene[negativne_godine];

       				if(maxi1[m]-x1!=y1)
       				{
       					d1=(pozitivne_godine[broj_glasina_prihvacene-1]-mini1[m])/(n1-1);
       				}
       				else if(maxi1[m]-x1==y1)
       				{
       					d1=(pozitivne_godine[broj_glasina_prihvacene]-mini1[m])/(n1-1);
       				}
       				else if (maxi2[m]-x2!=y2)
       				{
       					d2=(negativne_godine[broj_glasina_odbijene-1]-mini2[m])/(n2-1);
       				}
       				else if (maxi2[m]-x2==y2)
       				{
       					d2=(negativne_godine[broj_glasina_odbijene]-mini2[m])/(n2-1);
       				}
       				else if (d1==d2)
       				{
       					cout << 0 << endl;
       				}
       				else
       				{
       					cout << 1 << endl;
       				}

       			}
        	}
        }
    }
    return 0;
}